<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 18 20:28:05 EEST 2020 -->
<title>Class Hierarchy</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="Controller/package-tree.html">Controller</a>, </li>
<li><a href="Model/package-tree.html">Model</a>, </li>
<li><a href="Model/menuitems/package-tree.html">Model.menuitems</a>, </li>
<li><a href="org/example/package-tree.html">org.example</a>, </li>
<li><a href="Start/package-tree.html">Start</a>, </li>
<li><a href="View/package-tree.html">View</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">View.<a href="View/AdminGUI.html" title="class in View"><span class="typeNameLink">AdminGUI</span></a></li>
<li type="circle">Model.<a href="Model/Administrator.html" title="class in Model"><span class="typeNameLink">Administrator</span></a></li>
<li type="circle">org.example.<a href="org/example/AppTest.html" title="class in org.example"><span class="typeNameLink">AppTest</span></a></li>
<li type="circle">Model.menuitems.<a href="Model/menuitems/BaseProduct.html" title="class in Model.menuitems"><span class="typeNameLink">BaseProduct</span></a> (implements Model.menuitems.<a href="Model/menuitems/MenuItem.html" title="interface in Model.menuitems">MenuItem</a>)</li>
<li type="circle">Model.<a href="Model/Chef.html" title="class in Model"><span class="typeNameLink">Chef</span></a> (implements java.util.Observer)</li>
<li type="circle">View.<a href="View/ChefGUI.html" title="class in View"><span class="typeNameLink">ChefGUI</span></a> (implements Model.<a href="Model/Observer.html" title="interface in Model">Observer</a>, java.io.Serializable)</li>
<li type="circle">java.awt.Component (implements java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable)
<ul>
<li type="circle">java.awt.Container
<ul>
<li type="circle">java.awt.Window (implements javax.accessibility.Accessible)
<ul>
<li type="circle">java.awt.Frame (implements java.awt.MenuContainer)
<ul>
<li type="circle">javax.swing.JFrame (implements javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants)
<ul>
<li type="circle">View.<a href="View/MainView.html" title="class in View"><span class="typeNameLink">MainView</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">Model.menuitems.<a href="Model/menuitems/CompositeProduct.html" title="class in Model.menuitems"><span class="typeNameLink">CompositeProduct</span></a> (implements Model.menuitems.<a href="Model/menuitems/MenuItem.html" title="interface in Model.menuitems">MenuItem</a>)</li>
<li type="circle">Controller.<a href="Controller/Controller.html" title="class in Controller"><span class="typeNameLink">Controller</span></a></li>
<li type="circle">Controller.<a href="Controller/FileWriterr.html" title="class in Controller"><span class="typeNameLink">FileWriterr</span></a> (implements java.io.Serializable)</li>
<li type="circle">Model.<a href="Model/Order.html" title="class in Model"><span class="typeNameLink">Order</span></a> (implements java.io.Serializable)</li>
<li type="circle">Model.<a href="Model/Restaurant.html" title="class in Model"><span class="typeNameLink">Restaurant</span></a> (implements Model.<a href="Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a>, Model.<a href="Model/Observable.html" title="interface in Model">Observable</a>, java.io.Serializable)</li>
<li type="circle">Controller.<a href="Controller/RestaurantSer.html" title="class in Controller"><span class="typeNameLink">RestaurantSer</span></a></li>
<li type="circle">Start.<a href="Start/Start.html" title="class in Start"><span class="typeNameLink">Start</span></a></li>
<li type="circle">Model.<a href="Model/Waiter.html" title="class in Model"><span class="typeNameLink">Waiter</span></a></li>
<li type="circle">View.<a href="View/WaiterGUI.html" title="class in View"><span class="typeNameLink">WaiterGUI</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">Model.<a href="Model/IRestaurantProcessing.html" title="interface in Model"><span class="typeNameLink">IRestaurantProcessing</span></a></li>
<li type="circle">Model.<a href="Model/Observable.html" title="interface in Model"><span class="typeNameLink">Observable</span></a></li>
<li type="circle">Model.<a href="Model/Observer.html" title="interface in Model"><span class="typeNameLink">Observer</span></a></li>
<li type="circle">java.io.Serializable
<ul>
<li type="circle">Model.menuitems.<a href="Model/menuitems/MenuItem.html" title="interface in Model.menuitems"><span class="typeNameLink">MenuItem</span></a></li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
